function help_fcn(topic)

if nargin<1;
   topic = '';
elseif ischar(topic)==0;
   topic = '';
end;

var_ini = find_inisettings;

if ispc==1;
   if strcmp(lower(getfilename(var_ini.helpexe)),'winhlp32.exe')==1;
      if strcmp(topic,'')==0;
         prog = ['winhlp32.exe -I ' topic ' doc\svar.hlp &'];
      else;
         prog = 'winhlp32.exe doc\svar.hlp &';
      end;
   elseif strcmp(lower(getfilename(var_ini.helpexe)),'hh.exe')==1;
      if strcmp(topic,'')==0;
%         prog = ['hh.exe ms-its:' fix_path([pwd '\doc\svar.chm']) '::' topic '.htm &'];
         prog = ['hh.exe ms-its:doc\svar.chm::' topic '.htm &'];
      else;
         prog = 'hh.exe doc\svar.chm &';
      end;
   else;
      if iscompiled==1;
         if strcmp(topic,'')==0;
            prog = ['bin\run_browser.exe ' pwd '\doc\html\' topic '.htm &'];
         else;
            prog = ['bin\run_browser.exe ' pwd '\doc\html\index.html &'];
         end;
      else;
         if strcmp(topic,'')==0;
            html_doc = [pwd '\doc\html\' topic '.htm'];
         else;
            html_doc = [pwd '\doc\html\index.html'];
         end;
         html_doc = ['file:///' strrep(html_doc,'\','/')];
         stat = web_fcn(html_doc);
         return;
      end;
   end;
   prog = fixcmd(prog);
   dos(prog);
else;
   if isunix==1;
      if strcmp(topic,'')==0;
         prog = [var_ini.helpexe ' ' pwd '/doc/html/' topic '.htm &'];
      else;
         prog = [var_ini.helpexe ' ' pwd '/doc/html/index.html &'];
      end;
      unix(prog);
   else;
      txt = 'Currently Structural VAR cannot run programs under Mac. If you know of a technique for such systems, please let know.';
      txt = strvcat(txt,' ',['Email: ' var_email]);
      about(txt,'warning','Help Topics - Mac',135,350);
   end;
end;

%
% end of help_fcn.m
%
