function [model_var,runenable] = load_model_fcn(model_var)

numname = size(model_var.nameinput,2);
j = numname;
while j>=1;
   if model_var.nameinput(1,j)=='\';
      model_var.nameinput = [' - ' model_var.nameinput(1,j+1:numname)];
      j = 0;
   elseif model_var.nameinput(1,j)=='/';
      model_var.nameinput = [' - ' model_var.nameinput(1,j+1:numname)];
      j = 0;
   elseif j==1;
      model_var.nameinput = [' - ' model_var.nameinput];
      j = 0;
   else;
      j = j-1;
   end;
end;
file = readtext(model_var.inputfile);
old_entry_num = size(file,2);

i = 1;
while i<=24;
   if i<=old_entry_num;
      newentry = file{i};
   else;
      newentry = '';
   end;
   newentry = strrep(newentry,'|','');
   if i==1;
      model_var.newp = mystr2num(strrep(newentry,'lag=',''));
   elseif i==2;
      model_var.newh = mystr2num(strrep(newentry,'horizon=',''));
   elseif i==3;
      model_var.newc = mystr2num(strrep(newentry,'confidence=',''))-49;
   elseif i==4;
      model_var.endofile = strrep(newentry,'endogenous=','');
      [model_var.endofile,model_var.endosheet] = strsep(model_var.endofile);
      model_var.endosheet = strrep(model_var.endosheet,'$',' ');
      if fileexist(model_var.endofile)==1;
         runenable = 'on';
      end;
   elseif i==5;
      model_var.modelsdir = strrep(newentry,'modelsdir=','');
   elseif i==6;
      model_var.exo1file = strrep(newentry,'exogenous1=','');
      [model_var.exo1file,model_var.exo1sheet] = strsep(model_var.exo1file);
      model_var.exo1sheet = strrep(model_var.exo1sheet,'$',' ');
   elseif i==7;
      model_var.exo0file = strrep(newentry,'exogenous0=','');
      [model_var.exo0file,model_var.exo0sheet] = strsep(model_var.exo0file);
      model_var.exo0sheet = strrep(model_var.exo0sheet,'$',' ');
   elseif i==8;
      model_var.deterfile = strrep(newentry,'deterministic=','');
      [model_var.deterfile,model_var.detersheet] = strsep(model_var.deterfile);
      model_var.detersheet = strrep(model_var.detersheet,'$',' ');
   elseif i==9;
      model_var.outputfile = strrep(newentry,'outputfile=','');
   elseif i==10;
      model_var.cointvalue = mystr2num(strrep(newentry,'cointegration=',''));
      oldmodel_var.cointvalue = model_var.cointvalue;
   elseif i==11;
      model_var.evars = strrep(newentry,'evars=','');
      model_var.evars = strrep(model_var.evars,'$',' ');
   elseif i==12;
      model_var.xvars1 = strrep(newentry,'xvars1=','');
      model_var.xvars1 = strrep(model_var.xvars1,'$',' ');
   elseif i==13;
      model_var.xvars0 = strrep(newentry,'xvars0=','');
      model_var.xvars0 = strrep(model_var.xvars0,'$',' ');
   elseif i==14;
      model_var.deter = strrep(newentry,'deter=','');
      model_var.deter = strrep(model_var.deter,'$',' ');
   elseif i==15;
      sample = strrep(newentry,'sample=','');
      sample = strrep(sample,'$',' ');
      sample = vecstr(sample);
      model_var.beginyear = sample(1,:);
      model_var.beginyear = strrep(model_var.beginyear,' ','');
      model_var.beginyear = strrep(model_var.beginyear,'-','');
      model_var.beginperiod = sample(2,:);
      model_var.beginperiod = strrep(model_var.beginperiod,' ','');
      model_var.beginperiod = strrep(model_var.beginperiod,'-','');
      model_var.endyear = sample(3,:);
      model_var.endyear = strrep(model_var.endyear,' ','');
      model_var.endyear = strrep(model_var.endyear,'-','');
      model_var.endperiod = sample(4,:);
      model_var.endperiod = strrep(model_var.endperiod,' ','');
      model_var.endperiod = strrep(model_var.endperiod,'-','');
   elseif i==16;
      sample = strrep(newentry,'subsample=','');
      sample = strrep(sample,'$',' ');
      sample = vecstr(sample);
      model_var.subbeginyear = sample(1,:);
      model_var.subbeginyear = strrep(model_var.subbeginyear,' ','');
      model_var.subbeginyear = strrep(model_var.subbeginyear,'-','');
      model_var.subbeginperiod = sample(2,:);
      model_var.subbeginperiod = strrep(model_var.subbeginperiod,' ','');
      model_var.subbeginperiod = strrep(model_var.subbeginperiod,'-','');
      model_var.subendyear = sample(3,:);
      model_var.subendyear = strrep(model_var.subendyear,' ','');
      model_var.subendyear = strrep(model_var.subendyear,'-','');
      model_var.subendperiod = sample(4,:);
      model_var.subendperiod = strrep(model_var.subendperiod,' ','');
      model_var.subendperiod = strrep(model_var.subendperiod,'-','');
   elseif i==17;
      model_var.spectest = strrep(newentry,'spectest=','');
      model_var.spectest = strrep(model_var.spectest,'$',' ');
      model_var.spectest = mystr2num(model_var.spectest);
   elseif i==18;
      model_var.deterselect = strrep(newentry,'deterselect=','');
      model_var.deterselect = strrep(model_var.deterselect,'$',' ');
      model_var.deterselect = mystr2num(model_var.deterselect);
   elseif i==19;
      model_var.modeltype = strrep(newentry,'modeltype=','');
      model_var.modeltype = strrep(model_var.modeltype,'$',' ');
      model_var.modeltype = mystr2num(model_var.modeltype);
   elseif i==20;
      model_var.seasonal = strrep(newentry,'seasonal=','');
      model_var.seasonal = strrep(model_var.seasonal,'$',' ');
      model_var.seasonal = mystr2num(model_var.seasonal);
   elseif i==21;
      model_var.freq = strrep(newentry,'frequency=','');
   elseif i==22;
      if old_entry_num>21;
         model_var.shocks = strrep(newentry,'shocks=','');
         model_var.shocks = strrep(model_var.shocks,'$',' ');
      else;
         model_var.shocks = '';
      end;
   elseif i==23;
      if strcmp(newentry,'')==0;
         model_var.lagexo = mystr2num(strrep(newentry,'lagexo=',''));
      else;
         model_var.lagexo = model_var.newp;
      end;
   elseif i==24;
      if strcmp(newentry,'')==0;
         model_var.scale_endo = mystr2num(strrep(newentry,'scale=',''));
      else;
         model_var.scale_endo = 1;
      end;
   end;
   i = i+1;
end;

%
% end of load_model_fcn.m
%
