function dO_g = do_g(B,S)

%
% Computes the partial derivatives: dvec(Omega)/gamma'
%

n = size(B,1);
Nn = ncommutation(n);
my_I = eye(n);
dO_g = zeros(n*n,size(S,2));

for i=1:n;
   ei = my_I(:,i);
   part1 = kron(ei',my_I)*vec(B);
   part2 = kron(ei',my_I)*S;
   dO_g = dO_g+kron(part1,part2);
end;

dO_g = 2*Nn*dO_g;

%
% end of do_g.m
%
