function dR_c = dr_c(R_l,n);

%
% use sparse matrices to speed up computation
% returns non-sparse matrix:
%
% Computes the partial derivatives: dvec(R)/vec(C)'
%
%

part1 = kron(speye(n*n),R_l);
Knn = commutation(n,n);
part2 = kron(speye(n),Knn);
part2 = kron(part2,speye(n));
part3 = kron(vec(speye(n)),speye(n*n));
dR_c = part1*part2*part3;

dR_c = full(dR_c);

%
% end of dr_c.m
%
