function [status,init_structure] = read_inifile

%
% status indicates successful read if 0, error if 1
%

status = 1;
if fileexist('var.ini')==1;
   inifile = readtext('var.ini');
   status = 0;
   maxit = inifile{1};
   maxit = strrep(maxit,'max iterations = ','');
   init_structure.maxit = mystr2num(maxit);
   %
   convcrit = inifile{2};
   convcrit = strrep(convcrit,'convergence criterion = 1.0e-0','');
   init_structure.convcrit = mystr2num(convcrit);
   %
   maxlag = inifile{3};
   maxlag = strrep(maxlag,'max lag length = ','');
   init_structure.maxlag = mystr2num(maxlag);
   %
   openvar = inifile{4};
   openvar = strrep(openvar,'close matlab = ','');
   init_structure.openvar = mystr2num(openvar);
   %
   restat = inifile{5};
   restat = strrep(restat,'residual statistics = ','');
   init_structure.restat = mystr2num(restat);
   %
   geometry = inifile{6};
   geometry = strrep(geometry,'geometry = ','');
   init_structure.geometry = mystr2num(geometry);
   %
   method = inifile{7};
   method = strrep(method,'method = ','');
   init_structure.method = mystr2num(method);
   %
   external = inifile{8};
   external = strrep(external,'external apps = ','');
   init_structure.external = mystr2num(external);
   %
   graphicsfmt = inifile{9};
   init_structure.graphicsfmt = strrep(graphicsfmt,'graphics format = ','');
   %
   aiviewer = inifile{10};
   init_structure.aiviewer = strrep(aiviewer,'ai-viewer = ','');
   %
   epsviewer = inifile{11};
   init_structure.epsviewer = strrep(epsviewer,'eps-viewer = ','');
   %
   bitmapviewer = inifile{12};
   init_structure.bitmapviewer = strrep(bitmapviewer,'bitmap-viewer = ','');
   %
   sscorrect = inifile{13};
   sscorrect = strrep(sscorrect,'small-sample correction = ','');
   init_structure.sscorrect = mystr2num(sscorrect);
   %
   append = inifile{14};
   append = strrep(append,'append to output = ','');
   init_structure.append = mystr2num(append);
   %
   colors = inifile{15};
   colors = strrep(colors,'color graphs = ','');
   init_structure.colors = mystr2num(colors);
   %
   landscape = inifile{16};
   landscape = strrep(landscape,'landscape = ','');
   init_structure.landscape = mystr2num(landscape);
   %
   paperposmode = inifile{17};
   init_structure.paperposmode = strrep(paperposmode,'paper position mode = ','');
   %
   papertype = inifile{18};
   init_structure.papertype = strrep(papertype,'paper type = ','');
   %
   portmanteau = inifile{19};
   portmanteau = strrep(portmanteau,'portmanteau = ','');
   init_structure.portmanteau = mystr2num(portmanteau);
   %
   xgrid = inifile{20};
   xgrid = strrep(xgrid,'x-grid lines = ','');
   init_structure.xgrid = mystr2num(xgrid);
   %
   box = inifile{21};
   box = strrep(box,'box graphs = ','');
   init_structure.box = mystr2num(box);
   %
   omnibus = inifile{22};
   omnibus = strrep(omnibus,'omnibus = ','');
   init_structure.omnibus = mystr2num(omnibus);
   %
   critval = inifile{23};
   critval = strrep(critval,'critical value = ','');
   init_structure.critval = mystr2num(critval);
   %
   dirstructure = inifile{24};
   dirstructure = strrep(dirstructure,'directory structure = ','');
   init_structure.dirstructure = mystr2num(dirstructure);
   %
   editor = inifile{25};
   init_structure.editor = strrep(editor,'editor = ','');
   %
   T0 = inifile{26};
   T0 = strrep(T0,'recursive = ','');
   init_structure.T0 = mystr2num(T0);
   %
   fluctest = inifile{27};
   fluctest = strrep(fluctest,'fluctuations test = ','');
   init_structure.fluctest = mystr2num(fluctest);
   %
   nyblom = inifile{28};
   nyblom = strrep(nyblom,'nyblom test = ','');
   init_structure.nyblom = mystr2num(nyblom);
   %
   akaike = inifile{29};
   akaike = strrep(akaike,'information criteria = ','');
   init_structure.akaike = mystr2num(akaike);
   %
   helpexe = inifile{30};
   init_structure.helpexe = strrep(helpexe,'help command = ','');
   %
   shortdyn = inifile{31};
   shortdyn = strrep(shortdyn,'short-run dynamics = ','');
   init_structure.shortdyn = mystr2num(shortdyn);
   %
   weakexo = inifile{32};
   weakexo = strrep(weakexo,'weak exogeneity test = ','');
   init_structure.weakexo = mystr2num(weakexo);
   %
   gctest = inifile{33};
   gctest = strrep(gctest,'granger causality test = ','');
   init_structure.gctest = mystr2num(gctest);
   %
   ygrid = inifile{34};
   ygrid = strrep(ygrid,'y-grid lines = ','');
   init_structure.ygrid = mystr2num(ygrid);
   %
   chowfc = inifile{35};
   chowfc = strrep(chowfc,'chow divide = ','');
   init_structure.chowfc = mystr2num(chowfc);
   %
   chow = inifile{36};
   chow = strrep(chow,'chow test = ','');
   init_structure.chow = mystr2num(chow);
   %
   lstrtest = inifile{37};
   lstrtest = strrep(lstrtest,'lstr test = ','');
   init_structure.lstrtest = mystr2num(lstrtest);
   %
   fullrec = inifile{38};
   fullrec = strrep(fullrec,'full sample recursion = ','');
   init_structure.fullrec = mystr2num(fullrec);
   %
   tracebart = inifile{39};
   tracebart = strrep(tracebart,'correct trace test = ','');
   init_structure.tracebart = mystr2num(tracebart);
   %
   lagtest = inifile{40};
   lagtest = strrep(lagtest,'lag order test = ','');
   init_structure.lagtest = mystr2num(lagtest);
   %
   maxresp = inifile{41};
   maxresp = strrep(maxresp,'max response horizon = ','');
   init_structure.maxresp = mystr2num(maxresp);
   %
   recalpha = inifile{42};
   recalpha = strrep(recalpha,'recursive alpha = ','');
   init_structure.recalpha = mystr2num(recalpha);
   %
   topeig = inifile{43};
   topeig = strrep(topeig,'recursive companion eigenvalue = ','');
   init_structure.topeig = mystr2num(topeig);
   %
   betagrad = inifile{44};
   betagrad = strrep(betagrad,'beta gradient = ','');
   init_structure.betagrad = mystr2num(betagrad);
   %
   reopenlist = inifile{45};
   init_structure.reopenlist = strrep(reopenlist,'reopen list = ','');
   %
   uselastfile = inifile{46};
   uselastfile = strrep(uselastfile,'use last file = ','');
   init_structure.uselastfile = mystr2num(uselastfile);
   %
   lastfile = inifile{47};
   init_structure.lastfile = strrep(lastfile,'last file = ','');
   %
   startrun = inifile{48};
   startrun = strrep(startrun,'start run = ','');
   init_structure.startrun = mystr2num(startrun);
   %
   openmyoutput = inifile{49};
   openmyoutput = strrep(openmyoutput,'open output file = ','');
   init_structure.openmyoutput = mystr2num(openmyoutput);
   %
   sillyq = inifile{50};
   sillyq = strrep(sillyq,'no silly questions = ','');
   init_structure.sillyq = mystr2num(sillyq);
   %
   txtprint = inifile{51};
   init_structure.txtprint = strrep(txtprint,'text print = ','');
   %
   txtprintcmd = inifile{52};
   init_structure.txtprintcmd = strrep(txtprintcmd,'text print command = ','');
   %
   psprint = inifile{53};
   init_structure.psprint = strrep(psprint,'postscript print = ','');
   %
   psprintcmd = inifile{54};
   init_structure.psprintcmd = strrep(psprintcmd,'postscript print command = ','');
   %
   rahbek = inifile{55};
   rahbek = strrep(rahbek,'rahbek-mosconi solution = ','');
   init_structure.rahbek = mystr2num(rahbek);
   %
   extraccrit = inifile{56};
   extraccrit = strrep(extraccrit,'extra convergence criterion = ','');
   init_structure.extraccrit = mystr2num(extraccrit);
   %
   noprint = inifile{57};
   noprint = strrep(noprint,'no printed output = ','');
   init_structure.noprint = mystr2num(noprint);
   %
   reestbeta = inifile{58};
   reestbeta = strrep(reestbeta,'reestimate beta = ','');
   init_structure.reestbeta = mystr2num(reestbeta);
   %
   ghostscript = inifile{59};
   init_structure.ghostscript = strrep(ghostscript,'ghostscript = ','');
   %
   pstoedit = inifile{60};
   init_structure.pstoedit = strrep(pstoedit,'pstoedit = ','');
   %
   paperunits = inifile{61};
   init_structure.paperunits = strrep(paperunits,'paperunits = ','');
   %
   transeig = inifile{62};
   transeig = strrep(transeig,'transformed eigenvalues = ','');
   init_structure.transeig = mystr2num(transeig);
   %
   zgrid = inifile{63};
   zgrid = strrep(zgrid,'z-grid lines = ','');
   init_structure.zgrid = mystr2num(zgrid);
   %
   text_fontname = inifile{64};
   init_structure.text_fontname = strrep(text_fontname,'text font name = ','');
   %
   text_fontsize = inifile{65};
   text_fontsize = strrep(text_fontsize,'text font size = ','');
   init_structure.text_fontsize = mystr2num(text_fontsize);
   %
   text_fontweight = inifile{66};
   init_structure.text_fontweight = strrep(text_fontweight,'text font weight = ','');
   %
   text_fontangle = inifile{67};
   init_structure.text_fontangle = strrep(text_fontangle,'text font angle = ','');
   %
   text_fontunits = inifile{68};
   init_structure.text_fontunits = strrep(text_fontunits,'text font units = ','');
   %
   text_color = inifile{69};
   text_color = strrep(text_color,'text color = ','');
   init_structure.text_color = mystr2num(text_color);
   %
   text_backgroundcolor = inifile{70};
   text_backgroundcolor = strrep(text_backgroundcolor,'text background color = ','');
   init_structure.text_backgroundcolor = mystr2num(text_backgroundcolor);
   %
   axes_fontname = inifile{71};
   init_structure.axes_fontname = strrep(axes_fontname,'axes font name = ','');
   %
   axes_fontsize = inifile{72};
   axes_fontsize = strrep(axes_fontsize,'axes font size = ','');
   init_structure.axes_fontsize = mystr2num(axes_fontsize);
   %
   axes_fontweight = inifile{73};
   init_structure.axes_fontweight = strrep(axes_fontweight,'axes font weight = ','');
   %
   axes_fontangle = inifile{74};
   init_structure.axes_fontangle = strrep(axes_fontangle,'axes font angle = ','');
   %
   axes_fontunits = inifile{75};
   init_structure.axes_fontunits = strrep(axes_fontunits,'axes font units = ','');
   %
   axes_color = inifile{76};
   axes_color = strrep(axes_color,'axes color = ','');
   init_structure.axes_color = mystr2num(axes_color);
   %
   title_fontname = inifile{77};
   init_structure.title_fontname = strrep(title_fontname,'title font name = ','');
   %
   title_fontsize = inifile{78};
   title_fontsize = strrep(title_fontsize,'title font size = ','');
   init_structure.title_fontsize = mystr2num(title_fontsize);
   %
   title_fontweight = inifile{79};
   init_structure.title_fontweight = strrep(title_fontweight,'title font weight = ','');
   %
   title_fontangle = inifile{80};
   init_structure.title_fontangle = strrep(title_fontangle,'title font angle = ','');
   %
   title_fontunits = inifile{81};
   init_structure.title_fontunits = strrep(title_fontunits,'title font units = ','');
   %
   title_color = inifile{82};
   title_color = strrep(title_color,'title color = ','');
   init_structure.title_color = mystr2num(title_color);
   %
   label_fontname = inifile{83};
   init_structure.label_fontname = strrep(label_fontname,'label font name = ','');
   %
   label_fontsize = inifile{84};
   label_fontsize = strrep(label_fontsize,'label font size = ','');
   init_structure.label_fontsize = mystr2num(label_fontsize);
   %
   label_fontweight = inifile{85};
   init_structure.label_fontweight = strrep(label_fontweight,'label font weight = ','');
   %
   label_fontangle = inifile{86};
   init_structure.label_fontangle = strrep(label_fontangle,'label font angle = ','');
   %
   label_fontunits = inifile{87};
   init_structure.label_fontunits = strrep(label_fontunits,'label font units = ','');
   %
   label_color = inifile{88};
   label_color = strrep(label_color,'label color = ','');
   init_structure.label_color = mystr2num(label_color);
   %
   random_state = inifile{89};
   random_state = strrep(random_state,'random number generator state = ','');
   init_structure.random_state = mystr2num(random_state);
   %
   nRep = inifile{90};
   nRep = strrep(nRep,'number of replications = ','');
   init_structure.nRep = mystr2num(nRep);
   %
   nDraw = inifile{91};
   nDraw = strrep(nDraw,'draws per replication = ','');
   init_structure.nDraw = mystr2num(nDraw);
   %
   interpolate = inifile{92};
   init_structure.interpolate = strrep(interpolate,'interpolation function = ','');
   %
   simulatedir = inifile{93};
   init_structure.simulatedir = strrep(simulatedir,'simulation directory = ','');
   %
   invert_hardcopy = inifile{94};
   invert_hardcopy = strrep(invert_hardcopy,'color printing = ','');
   init_structure.invert_hardcopy = mystr2num(invert_hardcopy);
   %
   center_value = inifile{95};
   center_value = strrep(center_value,'centering = ','');
   init_structure.center_value = mystr2num(center_value);
   %
   fill_value = inifile{96};
   fill_value = strrep(fill_value,'filling = ','');
   init_structure.fill_value = mystr2num(fill_value);
   %
   crop_image = inifile{97};
   crop_image = strrep(crop_image,'crop image = ','');
   init_structure.crop_image = mystr2num(crop_image);
   %
   edit_context = inifile{98};
   edit_context = strrep(edit_context,'edit context menu = ','');
   init_structure.edit_context = mystr2num(edit_context);
   %
   z_buffer = inifile{99};
   z_buffer = strrep(z_buffer,'zbuffer = ','');
   init_structure.z_buffer = mystr2num(z_buffer);
   %
   use_toolbar_bgcolor = inifile{100};
   use_toolbar_bgcolor = strrep(use_toolbar_bgcolor,'use_toolbar_bgcolor = ','');
   init_structure.use_toolbar_bgcolor = mystr2num(use_toolbar_bgcolor);
   %
   gui_light_color = inifile{101};
   gui_light_color = strrep(gui_light_color,'gui_light_color = ','');
   init_structure.gui_light_color = mystr2num(gui_light_color);
   %
   gui_shade_color = inifile{102};
   gui_shade_color = strrep(gui_shade_color,'gui_shade_color = ','');
   init_structure.gui_shade_color = mystr2num(gui_shade_color);
   %
   gui_dark_color = inifile{103};
   gui_dark_color = strrep(gui_dark_color,'gui_dark_color = ','');
   init_structure.gui_dark_color = mystr2num(gui_dark_color);
   %
   reuse_bootstrap = inifile{104};
   reuse_bootstrap = strrep(reuse_bootstrap,'reuse_bootstrap = ','');
   init_structure.reuse_bootstrap = mystr2num(reuse_bootstrap);
   %
   taylor_nyblom = inifile{105};
   taylor_nyblom = strrep(taylor_nyblom,'taylor expansion of nyblom test = ','');
   init_structure.taylor_nyblom = mystr2num(taylor_nyblom);
   %
   nyblombeta = inifile{106};
   nyblombeta = strrep(nyblombeta,'nyblom test under beta restrictions = ','');
   init_structure.nyblombeta = mystr2num(nyblombeta);
   %
   bartserial = inifile{107};
   bartserial = strrep(bartserial,'bartlett correct lag tests = ','');
   init_structure.bartserial = mystr2num(bartserial);
   %
   lbcorrect = inifile{108};
   lbcorrect = strrep(lbcorrect,'correct portmanteau test = ','');
   init_structure.lbcorrect = mystr2num(lbcorrect);
   %
   identify = inifile{109};
   identify = strrep(identify,'default identification method = ','');
   init_structure.identify = mystr2num(identify);
   %
   ytick = inifile{110};
   ytick = strrep(ytick,'fix y labels = ','');
   init_structure.ytick = mystr2num(ytick);
   %
   latex = inifile{111};
   init_structure.latex = strrep(latex,'latex = ','');
   %
   dviviewer = inifile{112};
   init_structure.dviviewer = strrep(dviviewer,'dviviewer = ','');
   %
   distiller = inifile{113};
   init_structure.distiller = strrep(distiller,'distiller = ','');
   %
   psviewer = inifile{114};
   init_structure.psviewer = strrep(psviewer,'psviewer = ','');
   %
   pdfviewer = inifile{115};
   init_structure.pdfviewer = strrep(pdfviewer,'pdfviewer = ','');
   %
   texoutputformat = inifile{116};
   texoutputformat = strrep(texoutputformat,'TeX output format = ','');
   init_structure.texoutputformat = mystr2num(texoutputformat);
   %
   texheader = inifile{117};
   check_header = strrep(texheader,'TeX header = ','');
   check_header = strtrim(strrep(check_header,'|',''));
   if isempty(check_header)==0;
      init_structure.texheader = strrep(texheader,'TeX header = ','');
   else;
      init_structure.texheader = '\documentclass[12pt]{article}|\usepackage[T1]{fontenc}|\usepackage[ansinew]{inputenc}|\usepackage{amsmath,amssymb}|';
   end;
   %
   dvipdfm = inifile{118};
   dvipdfm = strrep(dvipdfm,'use dvipdfm = ','');
   init_structure.dvipdfm = mystr2num(dvipdfm);
   %
   outofsample = inifile{119};
   outofsample = strrep(outofsample,'out-of-sample forecasts = ','');
   init_structure.outofsample = mystr2num(outofsample);
   %
   xtick = inifile{120};
   xtick = strrep(xtick,'fix x labels = ','');
   init_structure.xtick = mystr2num(xtick);
   %
   loadicon = inifile{121};
   loadicon = strrep(loadicon,'figure icons = ','');
   init_structure.loadicon = mystr2num(loadicon);
   %
   pstoolsdir = inifile{122};
   init_structure.pstoolsdir = strrep(pstoolsdir,'pstools directory = ','');
   %
   loadguiicon = inifile{123};
   loadguiicon = strrep(loadguiicon,'gui icons = ','');
   init_structure.loadguiicon = mystr2num(loadguiicon);
   %
   delay = inifile{124};
   delay = strrep(delay,'delay = ','');
   init_structure.delay = mystr2num(delay);
   %
   mytempdir = inifile{125};
   init_structure.tempdir = strrep(mytempdir,'tempdir = ','');
   %
   browsedialog = inifile{126};
   browsedialog = strrep(browsedialog,'browse dialog = ','');
   init_structure.browsedialog = mystr2num(browsedialog);
   %
   opendialog = inifile{127};
   opendialog = strrep(opendialog,'open dialog = ','');
   init_structure.opendialog = mystr2num(opendialog);
   %
   noicon = inifile{128};
   noicon = strrep(noicon,'no icon = ','');
   init_structure.noicon = mystr2num(noicon);
   %
   pdfversion = inifile{129};
   init_structure.pdfversion = strrep(pdfversion,'pdf version = ','');
   %
   recpi = inifile{130};
   recpi = strrep(recpi,'recursive pi = ','');
   init_structure.recpi = mystr2num(recpi);
   %
   logtab = inifile{131};
   logtab = strrep(logtab,'show log tab = ','');
   init_structure.logtab = mystr2num(logtab);
   %
   maximizeviewer = inifile{132};
   maximizeviewer = strrep(maximizeviewer,'maximize viewer = ','');
   init_structure.maximizeviewer = mystr2num(maximizeviewer);
   %
   symmetric = inifile{133};
   symmetric = strrep(symmetric,'symmetric omega = ','');
   init_structure.symmetric = mystr2num(symmetric);
   %
   rectrace = inifile{134};
   rectrace = strrep(rectrace,'recursive trace = ','');
   init_structure.rectrace = mystr2num(rectrace);
   %
   exportdata = inifile{135};
   exportdata = strrep(exportdata,'export data = ','');
   init_structure.exportdata = mystr2num(exportdata);
   %
   forecasthorizon = inifile{136};
   forecasthorizon = strrep(forecasthorizon,'forecast horizon = ','');
   init_structure.forecasthorizon = mystr2num(forecasthorizon);
   %
   excludestat = inifile{137};
   excludestat = strrep(excludestat,'exclusion and stationarity = ','');
   init_structure.excludestat = mystr2num(excludestat);
   %
   noise_parm = inifile{138};
   noise_parm = strrep(noise_parm,'noise parameter = ','');
   init_structure.noise_parm = mystr2num(noise_parm);
   %
   clearlog = inifile{139};
   clearlog = strrep(clearlog,'no clear log = ','');
   init_structure.clearlog = mystr2num(clearlog);
   %
   parametric = inifile{140};
   parametric = strrep(parametric,'parametric bootstrap = ','');
   init_structure.parametric = mystr2num(parametric);
   %
   dummytests = inifile{141};
   dummytests = strrep(dummytests,'dummy tests = ','');
   init_structure.dummytests = mystr2num(dummytests);
   %
   commoncycles = inifile{142};
   commoncycles = strrep(commoncycles,'common cycle tests = ','');
   init_structure.commoncycles = mystr2num(commoncycles);
   %
   blocksize = inifile{143};
   blocksize = strrep(blocksize,'block size = ','');
   init_structure.blocksize = mystr2num(blocksize);
   %
   nbeta = inifile{144};
   nbeta = strrep(nbeta,'normalize beta = ','');
   init_structure.normbeta = mystr2num(nbeta);
   %
   decompose_det = inifile{145};
   decompose_det = strrep(decompose_det,'decompose deterministics = ','');
   init_structure.decompose_det = mystr2num(decompose_det);
   %
   burn_in = inifile{146};
   burn_in = strrep(burn_in,'burn-in draws = ','');
   init_structure.burn_in = mystr2num(burn_in);
   %
   save_draws = inifile{147};
   save_draws = strrep(save_draws,'save draws = ','');
   init_structure.save_draws = mystr2num(save_draws);
   %
   save_freq = inifile{148};
   save_freq = strrep(save_freq,'save draws frequency = ','');
   init_structure.save_freq = mystr2num(save_freq);
   %
   lambda_b = inifile{149};
   lambda_b = strrep(lambda_b,'baseline shrinkage = ','');
   init_structure.lambda_b = mystr2num(lambda_b);
   %
   lambda_theta = inifile{150};
   lambda_theta = strrep(lambda_theta,'off-diagonal shrinkage = ','');
   init_structure.lambda_theta = mystr2num(lambda_theta);
   %
   lambda_l = inifile{151};
   lambda_l = strrep(lambda_l,'lag shrinkage = ','');
   init_structure.lambda_l = mystr2num(lambda_l);
   %
   lambda_e = inifile{152};
   lambda_e = strrep(lambda_e,'exogeneity shrinkage = ','');
   init_structure.lambda_e = mystr2num(lambda_e);
   %
   lambda_d = inifile{153};
   lambda_d = strrep(lambda_d,'deterministic shrinkage = ','');
   init_structure.lambda_d = mystr2num(lambda_d);
   %
   lambda_alpha = inifile{154};
   lambda_alpha = strrep(lambda_alpha,'alpha shrinkage = ','');
   init_structure.lambda_alpha = mystr2num(lambda_alpha);
   %
   ms_maxlag = inifile{155};
   ms_maxlag = strrep(ms_maxlag,'model select max lag = ','');
   init_structure.ms_maxlag = mystr2num(ms_maxlag);
   %
   discard_explosive = inifile{156};
   discard_explosive = strrep(discard_explosive,'discard explosive processes = ','');
   init_structure.discard_explosive = mystr2num(discard_explosive);
   %
   prior_inf_shortrun = inifile{157};
   prior_inf_shortrun = strrep(prior_inf_shortrun,'informative shortrun prior = ','');
   init_structure.prior_inf_shortrun = mystr2num(prior_inf_shortrun);
   %
   prior_inf_deter = inifile{158};
   prior_inf_deter = strrep(prior_inf_deter,'informative deterministics prior = ','');
   init_structure.prior_inf_deter = mystr2num(prior_inf_deter);
   %
   prior_inf_alpha = inifile{159};
   prior_inf_alpha = strrep(prior_inf_alpha,'informative alpha prior = ','');
   init_structure.prior_inf_alpha = mystr2num(prior_inf_alpha);
   %
   prior_inf_omega = inifile{160};
   prior_inf_omega = strrep(prior_inf_omega,'informative Omega prior = ','');
   init_structure.prior_inf_omega = mystr2num(prior_inf_omega);
   %
   bad_draws = inifile{161};
   bad_draws = strrep(bad_draws,'skip bad draws = ','');
   init_structure.bad_draws = mystr2num(bad_draws);
   %
   amat_type = inifile{162};
   amat_type = strrep(amat_type,'a matrix','');
   init_structure.amat_type = mystr2num(amat_type);
   %
   lambda_a = inifile{163};
   lambda_a = strrep(lambda_a,'a shrinkage = ','');
   init_structure.lambda_a = mystr2num(lambda_a);
   %
   q_df = inifile{164};
   q_df = strrep(q_df,'q df = ','');
   init_structure.q_df = mystr2num(q_df);
   %
   amat_lag = inifile{165};
   amat_lag = strrep(amat_lag,'A matrix lag order = ','');
   init_structure.amat_lag = mystr2num(amat_lag);
   %
   gui_fontweight = inifile{166};
   init_structure.gui_fontweight = strrep(gui_fontweight,'GUI font weight = ','');
   %
   gui_fontangle = inifile{167};
   init_structure.gui_fontangle = strrep(gui_fontangle,'GUI font angle = ','');
   %
   gui_fontname = inifile{168};
   init_structure.gui_fontname = strrep(gui_fontname,'GUI font name = ','');
   %
   gui_fontsize = inifile{169};
   gui_fontsize = strrep(gui_fontsize,'GUI font size = ','');
   init_structure.gui_fontsize = mystr2num(gui_fontsize);
   %
   gui_font = inifile{170};
   gui_font = strrep(gui_font,'GUI font = ','');
   init_structure.gui_font = mystr2num(gui_font);
   %
   show_undo = inifile{171};
   show_undo = strrep(show_undo,'GUI font = ','');
   init_structure.show_undo = mystr2num(show_undo);
   %
   frame_color = inifile{172};
   frame_color = strrep(frame_color,'frame color = ','');
   init_structure.frame_color = mystr2num(frame_color);
   %
   frame_light_color = inifile{173};
   frame_light_color = strrep(frame_light_color,'frame light color = ','');
   init_structure.frame_light_color = mystr2num(frame_light_color);
   %
   frame_shade_color = inifile{174};
   frame_shade_color = strrep(frame_shade_color,'frame shade color = ','');
   init_structure.frame_shade_color = mystr2num(frame_shade_color);
   %
   frame_dark_color = inifile{175};
   frame_dark_color = strrep(frame_dark_color,'frame dark color = ','');
   init_structure.frame_dark_color = mystr2num(frame_dark_color);
   %
   gui_foreground_color = inifile{176};
   gui_foreground_color = strrep(gui_foreground_color,'GUI foreground color = ','');
   init_structure.gui_foreground_color = mystr2num(gui_foreground_color);
   %
   rest_march = inifile{177};
   rest_march = strrep(rest_march,'restricted multivariate arch = ','');
   init_structure.rest_march = mystr2num(rest_march);
   %
   excludediffs = inifile{178};
   excludediffs = strrep(excludediffs,'exclude first differences = ','');
   init_structure.excludediffs = mystr2num(excludediffs);
   %
   decimals = inifile{179};
   decimals = strrep(decimals,'number of decimals for output = ','');
   init_structure.decimals = mystr2num(decimals);
   %
   progress_facecolor = inifile{180};
   progress_facecolor = strrep(progress_facecolor,'progress face color = ','');
   init_structure.progress_facecolor = mystr2num(progress_facecolor);
   %
   progress_edgecolor = inifile{181};
   progress_edgecolor = strrep(progress_edgecolor,'progress edge color = ','');
   init_structure.progress_edgecolor = mystr2num(progress_edgecolor);
   %
   progress_bgcolor = inifile{182};
   progress_bgcolor = strrep(progress_bgcolor,'progress background color = ','');
   init_structure.progress_bgcolor = mystr2num(progress_bgcolor);
   %
   progress_startfacecolor = inifile{183};
   progress_startfacecolor = strrep(progress_startfacecolor,'progress start face color = ','');
   init_structure.progress_startfacecolor = mystr2num(progress_startfacecolor);
end;
if (ispc==1)&(strcmp(strtrim(init_structure.editor),''));
   init_structure.editor = 'notepad.exe';
end;

if init_structure.T0<0;
   init_structure.T0 = 2/3;
end;
if init_structure.T0>0.95;
   init_structure.T0 = 2/3;
end;
if appexist(init_structure.aiviewer)==0;
   init_structure.aiviewer = '';
end;
if appexist(init_structure.epsviewer)==0;
   init_structure.epsviewer = '';
end;
if appexist(init_structure.bitmapviewer)==0;
   init_structure.bitmapviewer = '';
end;
if appexist(init_structure.txtprint)==0;
   init_structure.txtprint = '';
   init_structure.txtprintcmd = '';
end;
if appexist(init_structure.psprint)==0;
   init_structure.psprint = '';
   init_structure.psprintcmd = '';
end;
if iscompiled==1;
   if appexist(init_structure.ghostscript)==0;
      init_structure.ghostscript = '';
   end;
   if appexist(init_structure.pstoedit)==0;
      init_structure.pstoedit = '';
   end;
end;
if appexist(init_structure.latex)==0;
   init_structure.latex = '';
end;
if appexist(init_structure.dviviewer)==0;
   init_structure.dviviewer = '';
end;
if appexist(init_structure.distiller)==0;
   init_structure.distiller = '';
end;
if appexist(init_structure.psviewer)==0;
   init_structure.psviewer = '';
end;
if appexist(init_structure.pdfviewer)==0;
   init_structure.pdfviewer = '';
end;
if (iscompiled==1)&(iswinnt==1);
   if appexist([init_structure.pstoolsdir 'pslist.exe'])==0;
      init_structure.pstoolsdir = '';
   end;
end;

if (strcmp(strtrim(init_structure.tempdir),'')==1)|(direxist(init_structure.tempdir)==0);
   init_structure.tempdir = tempdir;
end;

init_structure.texheadertxt = init_structure.texheader;
init_structure.texheadertxt = init_structure.texheadertxt(1,1:size(init_structure.texheadertxt,2)-1);
init_structure.texheadertxt = vecstr(strrep(init_structure.texheadertxt,'|',' '));

if status==1;
   init_structure = [];
end;

%
% end of read_inifile.m
%
