function [Rmat_B,rvec_B,S_B,d_B] = rest_B(type_var,keep_rest,del_rest,C,Rmat_sr,rvec_sr,Rmat_lr,rvec_lr,n)

if strcmp(type_var,'short_run')==1;
   Rmat_B = Rmat_sr;
   rvec_B = rvec_sr;
elseif strcmp(type_var,'long_run')==1;
   if isempty(del_rest)==1;
      Rmat_B = Rmat_lr*kron(eye(n),C);
      rvec_B = rvec_lr;
   else;
      Rmat_B = Rmat_lr(keep_rest,:)*kron(eye(n),C);
      rvec_B = rvec_lr(keep_rest,1);
   end;
else;
   if isempty(del_rest)==1;
      Rmat_B = [Rmat_lr*kron(eye(n),C);Rmat_sr];
      rvec_B = [rvec_lr;rvec_sr];
   else;
      Rmat_B = [Rmat_sr;Rmat_lr*kron(eye(n),C)];
      Rmat_B = Rmat_B(keep_rest,:);
      rvec_B = [rvec_sr;rvec_lr];
      rvec_B = rvec_B(keep_rest,1);
   end;
end;

%S_B = null(Rmat_B,'r');
S_B = null(Rmat_B);
d_B = (Rmat_B'/(Rmat_B*Rmat_B'))*rvec_B;

%
% end of rest_B.m
%
