function outstring = strrowrep(inmat,repstring,tol);

if nargin<3;
   tol = '%12.4f';
end;

inmat2 = inmat(2,:);
number = size(repstring,1);

i = 1;
while i<=number;
   search = [' ' num2str(i,tol) ' '];
   replace = [' ' repstring(i,:) ' '];
   if size(replace,2)>9;
      replace = [' ' repstring(i,1:7) ' '];
   end;
   if size(search,2)==size(replace,2);
      inmat2 = strrep(inmat2,search,replace);
   elseif size(search,2)>size(replace,2);
      addnum = size(search,2)-size(replace,2);
      j = 1;
      while j<=addnum;
         replace = [' ' replace];
         j = j+1;
      end;
      inmat2 = strrep(inmat2,search,replace);
   else;
      addnum = size(replace,2)-size(search,2);
      j = 1;
      while j<=addnum;
         search = [' ' search];
         j = j+1;
      end;
      inmat2 = strrep(inmat2,search,replace);
   end;
   i = i+1;
end;

outstring = [inmat(1,:);inmat2;inmat(3:size(inmat,1),:)];

%
% enbd of strrowrep.m
%
