function x_zeros_fcn

%
% create zero line along current axes
%

x_lim = get(gca,'XLim');
new_line = line('XData',x_lim, ...
   'YData',[0 0], ...
   'Color',[0 0 0], ...
   'LineStyle','-', ...
   'LineWidth',1, ...
   'Tag','var-zeros');

%
% fix context menu along current axes
%

if iscompiled==1;
   create_axes_contextmenu_fcn(gca);
else;
   ui_ctxt = get(gca,'UIContextMenu');
   zero_y_line = findobj(ui_ctxt,'Label','Y Axis Zero Line');
   if isempty(zero_y_line)==0;
      delete(zero_y_line);
   end;
end;

%
% end of x_zeros_fcn.m
%
