function [Z2fix,dfix] = fixdet(Z1,Z2,d,dcoint)

%
% Preliminaries
%

dfix = d;
kfix = size(Z2,1);

%
% Remove any affinely dependent variables from Z2
%

if d>0;
   x = Z2(1:d,:)';
   if dcoint==1;
      x_ = Z1(size(Z1,1),:)';
   else;
      x_ = [];
   end;
   x = checkdeter(x,x_);
   dfix = size(x,2);
   if kfix>d;
      Z2fix = [x';Z2(d+1:kfix,:)];
   else;
      Z2fix = x';
   end;
end;

%
% end of fixdet.m
%
